# Akamai\Open\EdgeGrid\Client::setVerboseHandler

#### Add the Verbose handler to the HandlerStack

## Signature

`protected function setVerboseHandler(array $options, [bool|resource|array|null $fp = null] )`

## Parameters

`$options` — array
  Guzzle Options
`$fp` — object
  Stream to write to

## Returns

array

## Test Coverage

### Information

- Coverage: 15/18 Lines (83.333333333333%)
- Tests: 14
- Passed: 14 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testInstanceVerboseSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testInstanceVerboseMultiple
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testStaticVerboseSingle
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testStaticVerboseMultiple
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseRedirect
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseNonJson
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseRequestHandler
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseNoResponse
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseError
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseErrorNonJson
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseMixed
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionNoCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionWithCode
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\VerboseTest::testVerboseResponseExceptionWithBody